Subject: Re: Cygnus Cygwin32 Press Release 1/21/97
From: [email-masked] (Jim Balter)

12 Feb 1997 14:43:04 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Ted Lemon <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Ted Lemon wrote:
> 
> > My question is as follows: if GCC is covered by the GPL,
> 
> STOP RIGHT THERE!!!
> 
> GCC isn't what Cygnus has a copyright on, nor is it what they propose
> to charge people for.  They have a copyright on cygwin.dll.  They
> developed cygwin.dll, and the libraries that go into it - they are
> using their newlib library instead of GNU libc, for example.

90% of the code in newlib is copyrighted to the Regents of the
University of California.  There is also code that belongs
to Sun and AT&T.  Just about the only thing in newlib that
Cygnus owns are the Makefiles.  Most of Cygnus's copyright is on
winsup.  Of course, the UC, AT&T, etc. copyrights don't prevent
Cygnus from making money on it or require them to give away
any derived works.

> If you don't like the fact that they're doing this, that's fine, but
> you have no recourse other than to stop using their product and
> develop your own.  Unlike some major corporations, they will not be
> offended if you do that, nor will they try to stop you.
> 
> I could probably think of something bad to say about Cygnus if I
> really worked at it, but all in all, they're a good bunch of people,
> and flaming them on this mailing list isn't going to accomplish
> anything.   Please stop it.

I haven't seem anyone here flaming Cygnus.  Perhaps you mistake
critical commentary for flames.  OTOH, your little rant here might be
characterized as a flame.  The only thing I have seen from you
on this mailing list are patronizing notes telling people what not to
post (the last one broadly castigated people for discussing creating a
newsgroup).  If you don't lke what you are getting in your mailbox,
you know what you can do about it.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".